org.apache.cassandra.db.filter

## Interface ClusteringIndexFilter.Serializer

- Enclosing interface:
    ClusteringIndexFilter

      public static interface ClusteringIndexFilter.Serializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusteringIndexFilter` | `deserialize(DataInputPlus in, int version, CFMetaData metadata)`
    `void` | `serialize(ClusteringIndexFilter filter, DataOutputPlus out, int version)`
    `long` | `serializedSize(ClusteringIndexFilter filter, int version)`

- - ### Method Detail

    - #### serialize

          void serialize(ClusteringIndexFilter filter,
                         DataOutputPlus out,
                         int version)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          ClusteringIndexFilter deserialize(DataInputPlus in,
                                            int version,
                                            CFMetaData metadata)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          long serializedSize(ClusteringIndexFilter filter,
                              int version)

Copyright © 2018 The Apache Software Foundation